Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.behavior
Class ComponentControlBehavior

    java.lang.Object
      javax.faces.component.behavior.BehaviorBase
          javax.faces.component.behavior.ClientBehaviorBase
              org.richfaces.component.behavior.ClientBehavior
                  org.richfaces.component.behavior.ComponentControlBehavior

All Implemented Interfaces:
  javax.faces.component.behavior.Behavior, javax.faces.component.behavior.ClientBehavior, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder

    public class ComponentControlBehavior

extends ClientBehavior

Author:
  Anton Belevich

Field Summary
`static String` | `BEHAVIOR_ID`

Constructor Summary
`ComponentControlBehavior()`

Method Summary
`List<javax.faces.component.UIComponent>` | `getChildren()`
`String` | `getEvent()`
`String` | `getOnbeforeoperation()`
`String` | `getOperation()`
`String` | `getRendererType()`
`String` | `getSelector()`
`String` | `getTarget()`
`void` | `setEvent(String event)`
`void` | `setLiteralAttribute(String name, Object value)`
`void` | `setOnbeforeoperation(String onbeforeoperation)`
`void` | `setOperation(String operation)`
`void` | `setSelector(String selector)`
`void` | `setTarget(String target)`

Methods inherited from class org.richfaces.component.behavior.ClientBehavior
`compare, getFacesContext, getStateHelper, getValueExpression, restoreState, saveState, setLiteralValue, setValueExpression`

Methods inherited from class javax.faces.component.behavior.ClientBehaviorBase
`decode, getHints, getRenderer, getScript`

Methods inherited from class javax.faces.component.behavior.BehaviorBase
`addBehaviorListener, broadcast, clearInitialState, initialStateMarked, isTransient, markInitialState, removeBehaviorListener, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.Behavior
`broadcast`

Field Detail

### BEHAVIOR_ID

    public static final String BEHAVIOR_ID

See Also:
  Constant Field Values

Constructor Detail

### ComponentControlBehavior

    public ComponentControlBehavior()

Method Detail

### getChildren

    public List<javax.faces.component.UIComponent> getChildren()

### getEvent

    public String getEvent()

### setEvent

    public void setEvent(String event)

### getTarget

    public String getTarget()

### setTarget

    public void setTarget(String target)

### getSelector

    public String getSelector()

### setSelector

    public void setSelector(String selector)

### getOperation

    public String getOperation()

### setOperation

    public void setOperation(String operation)

### getOnbeforeoperation

    public String getOnbeforeoperation()

### setOnbeforeoperation

    public void setOnbeforeoperation(String onbeforeoperation)

### getRendererType

    public String getRendererType()

  Overrides:
    `getRendererType` in class `javax.faces.component.behavior.ClientBehaviorBase`

### setLiteralAttribute

    public void setLiteralAttribute(String name,
                                    Object value)

  Specified by:
    `setLiteralAttribute` in class `ClientBehavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.